cudnn_frontend::Operation_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_Operation.h
friend class friend class OperationBuilder_v8 OperationBuilder_v8
cudnnBackendDescriptorType_t cudnnBackendDescriptorType_t cudnn_frontend::Operation_v8::op_mode op_mode = CUDNN_BACKEND_OPERATION_CONVOLUTION_FORWARD_DESCRIPTOR cudnn_frontend::OperationBuilder_v8::build describe getOutputTensor cudnn_frontend::OperationBuilder_v8::OperationBuilder_v8 cudnn_frontend::OperationBuilder_v8::validate_convolution_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::xdesc xdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward cudnn_frontend::OperationBuilder_v8::build_pointwise_op cudnn_frontend::OperationBuilder_v8::build_reduction_op describe cudnn_frontend::OperationBuilder_v8::setxDesc cudnn_frontend::OperationBuilder_v8::validate_convolution_op cudnn_frontend::OperationBuilder_v8::validate_pointwise_op cudnn_frontend::OperationBuilder_v8::validate_reduction_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::ydesc ydesc = nullptr cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward cudnn_frontend::OperationBuilder_v8::build_pointwise_op cudnn_frontend::OperationBuilder_v8::build_reduction_op describe getOutputTensor cudnn_frontend::OperationBuilder_v8::setyDesc cudnn_frontend::OperationBuilder_v8::validate_convolution_op cudnn_frontend::OperationBuilder_v8::validate_pointwise_op cudnn_frontend::OperationBuilder_v8::validate_reduction_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::wdesc wdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward describe cudnn_frontend::OperationBuilder_v8::setwDesc cudnn_frontend::OperationBuilder_v8::validate_convolution_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::bdesc bdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setbDesc cudnn_frontend::OperationBuilder_v8::validate_pointwise_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::dydesc dydesc = nullptr cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setdyDesc cudnn_frontend::OperationBuilder_v8::validate_convolution_op cudnn_frontend::OperationBuilder_v8::validate_pointwise_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::dxdesc dxdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setdxDesc cudnn_frontend::OperationBuilder_v8::validate_convolution_op cudnn_frontend::OperationBuilder_v8::validate_pointwise_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::dwdesc dwdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter describe cudnn_frontend::OperationBuilder_v8::setdwDesc cudnn_frontend::OperationBuilder_v8::validate_convolution_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::cdesc cdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward describe cudnn_frontend::OperationBuilder_v8::setcDesc cudnn_frontend::OperationBuilder_v8::validate_convolution_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::amatdesc amatdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_matmul_op describe cudnn_frontend::OperationBuilder_v8::setaMatDesc cudnn_frontend::OperationBuilder_v8::validate_matmul_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::bmatdesc bmatdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_matmul_op describe cudnn_frontend::OperationBuilder_v8::setbMatDesc cudnn_frontend::OperationBuilder_v8::validate_matmul_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::cmatdesc cmatdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_matmul_op describe getOutputTensor cudnn_frontend::OperationBuilder_v8::setcMatDesc cudnn_frontend::OperationBuilder_v8::validate_matmul_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::pwdesc pwdesc = nullptr cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setpwDesc
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::matmuldesc matmuldesc = nullptr cudnn_frontend::OperationBuilder_v8::build_matmul_op describe cudnn_frontend::OperationBuilder_v8::setmatmulDesc cudnn_frontend::OperationBuilder_v8::validate_matmul_op
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::reductiondesc reductiondesc = nullptr cudnn_frontend::OperationBuilder_v8::build_reduction_op describe cudnn_frontend::OperationBuilder_v8::setreductionDesc cudnn_frontend::OperationBuilder_v8::validate_reduction_op
cudnnBackendAttributeType_t cudnnBackendAttributeType_t cudnn_frontend::Operation_v8::alphabetaType alphabetaType = CUDNN_TYPE_FLOAT cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setcDesc
float float cudnn_frontend::Operation_v8::alpha_s alpha_s = 1.0f cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setAlpha
float float cudnn_frontend::Operation_v8::beta_s beta_s = .0f cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward describe cudnn_frontend::OperationBuilder_v8::setBeta
float float cudnn_frontend::Operation_v8::alpha2_s alpha2_s = 1.0f cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setAlpha2
double double cudnn_frontend::Operation_v8::alpha_d alpha_d = 1.0 cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setAlpha
double double cudnn_frontend::Operation_v8::beta_d beta_d = 0.0 cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward describe cudnn_frontend::OperationBuilder_v8::setBeta
double double cudnn_frontend::Operation_v8::alpha2_d alpha2_d = 1.0 cudnn_frontend::OperationBuilder_v8::build_pointwise_op describe cudnn_frontend::OperationBuilder_v8::setAlpha2
int64_t int64_t cudnn_frontend::Operation_v8::pointwise_port_count pointwise_port_count = -1 cudnn_frontend::OperationBuilder_v8::build_pointwise_op cudnn_frontend::OperationBuilder_v8::setpwDesc cudnn_frontend::OperationBuilder_v8::validate_pointwise_op
cudnnPointwiseMode_t cudnnPointwiseMode_t cudnn_frontend::Operation_v8::pointwise_mode pointwise_mode cudnn_frontend::OperationBuilder_v8::build_pointwise_op cudnn_frontend::OperationBuilder_v8::setpwDesc
bool bool cudnn_frontend::Operation_v8::is_pointwise_activation_fwd_op is_pointwise_activation_fwd_op = false cudnn_frontend::OperationBuilder_v8::setpwDesc cudnn_frontend::OperationBuilder_v8::validate_pointwise_op
bool bool cudnn_frontend::Operation_v8::is_pointwise_activation_bwd_op is_pointwise_activation_bwd_op = false cudnn_frontend::OperationBuilder_v8::build_pointwise_op cudnn_frontend::OperationBuilder_v8::setpwDesc cudnn_frontend::OperationBuilder_v8::validate_pointwise_op
bool bool cudnn_frontend::Operation_v8::is_pointwise_math_op is_pointwise_math_op = false cudnn_frontend::OperationBuilder_v8::setpwDesc cudnn_frontend::OperationBuilder_v8::validate_pointwise_op
std::string std::string cudnn_frontend::Operation_v8::operationTag operationTag cudnn_frontend::OperationBuilder_v8::build_conv_backward_data cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter cudnn_frontend::OperationBuilder_v8::build_conv_forward cudnn_frontend::OperationBuilder_v8::build_matmul_op cudnn_frontend::OperationBuilder_v8::build_pointwise_op cudnn_frontend::OperationBuilder_v8::build_reduction_op getTag
feature_vector_t feature_vector_t cudnn_frontend::Operation_v8::feature_vector feature_vector cudnn_frontend::OperationBuilder_v8::extract_feature_vector getFeatureVector
std::string std::string cudnn_frontend::Operation_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

alpha2_d
alpha2_s
alpha_d
alpha_s
alphabetaType
amatdesc
bdesc
beta_d
beta_s
bmatdesc
cdesc
cmatdesc
dwdesc
dxdesc
dydesc
matmuldesc
op_mode
Operation_v8
operator=
pwdesc
reductiondesc
nlohmann::to_string
wdesc
xdesc
ydesc
cudnn_frontend::Operation_v8::Operation_v8
(Operation_v8 &&from)=default
Operation_v8
Operation_v8 && from
Operation_v8 & Operation_v8& cudnn_frontend::Operation_v8::operator= (Operation_v8 &&from)=default operator= Operation_v8 && from describe getFeatureVector
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::Operation_v8::getOutputTensor () getOutputTensor cmatdesc op_mode ydesc
std::string const & std::string const& cudnn_frontend::Operation_v8::getTag () const getTag operationTag
feature_vector_t feature_vector_t cudnn_frontend::Operation_v8::getFeatureVector () const getFeatureVector feature_vector Operation_v8 operator= ~Operation_v8
cudnn_frontend::Operation_v8::~Operation_v8
()=default
~Operation_v8
getFeatureVector
cudnn_frontend::Operation_v8::Operation_v8
()=default
Operation_v8
describe
getFeatureVector
cudnn_frontend::Operation_v8::Operation_v8
(Operation_v8 const &)=delete
Operation_v8
Operation_v8 const &
Operation_v8 & Operation_v8& cudnn_frontend::Operation_v8::operator= (Operation_v8 const &)=delete operator= Operation_v8 const &

Operation_v8 Class This class has the properties of the operation Properties:

- xDesc

- yDesc

- wdesc

- bdesc

- dydesc

- dxdesc

- cdesc

- amatdesc

- bmatdesc

- cmatdesc

- pwdesc

- matmuldesc

- reductiondesc

- alpha

- beta

- alpha2

Use OperationBuilder_v8 to build this class. Describe returns a string describing the convolution operation

cudnn_frontend::Operation_v8
cudnn_frontend::BackendDescriptor
shared_ptr< OpaqueBackendPointer >
T
std::vector< T >
+elements
cudnn_frontend::Operation_v8
-alpha2_d
-alpha_d
-beta_d
-alphabetaType
-pointwise_mode
-alpha_s
-beta_s
-alpha2_s
-pointwise_port_count
-feature_vector
-operationTag
-is_pointwise_math_op
-is_pointwise_activation_fwd_op
-is_pointwise_activation_bwd_op
-dwdesc
-dxdesc
-dydesc
-bdesc
-pwdesc
-cdesc
-reductiondesc
-wdesc
-xdesc
-ydesc
...
-op_mode
std::vector< int64_t >
+elements
< int64_t >
float
cudnnPointwiseMode_t
cudnnBackendAttributeType_t
cudnnStatus_t
std::basic_string< char >
double
cudnnBackendDescriptorType_t
bool
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::Operation_v8
  alpha2_d
- cudnn_frontend::Operation_v8
  alpha2_s
- cudnn_frontend::Operation_v8
  alpha_d
- cudnn_frontend::Operation_v8
  alpha_s
- cudnn_frontend::Operation_v8
  alphabetaType
- cudnn_frontend::Operation_v8
  amatdesc
- cudnn_frontend::Operation_v8
  BackendDescriptor
- cudnn_frontend::Operation_v8
  BackendDescriptor
- cudnn_frontend::Operation_v8
  bdesc
- cudnn_frontend::Operation_v8
  beta_d
- cudnn_frontend::Operation_v8
  beta_s
- cudnn_frontend::Operation_v8
  bmatdesc
- cudnn_frontend::Operation_v8
  cdesc
- cudnn_frontend::Operation_v8
  cmatdesc
- cudnn_frontend::Operation_v8
  describe
- cudnn_frontend::Operation_v8
  dwdesc
- cudnn_frontend::Operation_v8
  dxdesc
- cudnn_frontend::Operation_v8
  dydesc
- cudnn_frontend::Operation_v8
  err_msg
- cudnn_frontend::Operation_v8
  feature_vector
- cudnn_frontend::Operation_v8
  get_desc
- cudnn_frontend::Operation_v8
  get_error
- cudnn_frontend::Operation_v8
  get_raw_desc
- cudnn_frontend::Operation_v8
  get_status
- cudnn_frontend::Operation_v8
  getFeatureVector
- cudnn_frontend::Operation_v8
  getOutputTensor
- cudnn_frontend::Operation_v8
  getTag
- cudnn_frontend::Operation_v8
  initialize_managed_backend_pointer
- cudnn_frontend::Operation_v8
  is_pointwise_activation_bwd_op
- cudnn_frontend::Operation_v8
  is_pointwise_activation_fwd_op
- cudnn_frontend::Operation_v8
  is_pointwise_math_op
- cudnn_frontend::Operation_v8
  matmuldesc
- cudnn_frontend::Operation_v8
  op_mode
- cudnn_frontend::Operation_v8
  Operation_v8
- cudnn_frontend::Operation_v8
  Operation_v8
- cudnn_frontend::Operation_v8
  Operation_v8
- cudnn_frontend::Operation_v8
  OperationBuilder_v8
- cudnn_frontend::Operation_v8
  operationTag
- cudnn_frontend::Operation_v8
  operator=
- cudnn_frontend::Operation_v8
  operator=
- cudnn_frontend::Operation_v8
  pointer
- cudnn_frontend::Operation_v8
  pointwise_mode
- cudnn_frontend::Operation_v8
  pointwise_port_count
- cudnn_frontend::Operation_v8
  pwdesc
- cudnn_frontend::Operation_v8
  reductiondesc
- cudnn_frontend::Operation_v8
  set_error
- cudnn_frontend::Operation_v8
  set_status
- cudnn_frontend::Operation_v8
  status
- cudnn_frontend::Operation_v8
  wdesc
- cudnn_frontend::Operation_v8
  xdesc
- cudnn_frontend::Operation_v8
  ydesc
- cudnn_frontend::Operation_v8
  ~Operation_v8